Subject: Implementations for draft-ietf-ccamp-gmpls-segment-recovery and draft-ietf-ccamp-gmpls-recovery-e2e-signaling

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 23 Nov 2005 21:52:19 -0000

Hi,

I have been discussing the progress of these two I-Ds with the ADs. In
order to complete the next step, we need to demonstrate "sufficient"
implementation.

Here is the edited-down thread on the e2e recovery drafts. You'll see that
for most points I know of implementations and some interop work. However,
for some features I do not know of implementations. If you do, it would
really help if you spoke up now (in private to me is fine).

Failing evidence of implementation for these points we must:
a. remove the feature from the I-D
b. put the whole I-D on hold until implementation
c. convince the ADs that the feature is so small and obvious
    as to not require implementation at this point.

I haven't embarked on a similar thread for segment recovery because it
seems like we should establish how we will proceed first.

Your comments and suggestions are very welcome.

Adrian

> >> draft-ietf-ccamp-gmpls-recovery-e2e-signaling
> >>
> >> What we need at this point is that all features in the doc have
> >> been implemented and whether the implementations are known
> >> to interop.
> >
> > I know of three implementations of e2e recovery.
> >
> > The main components of this work are:
> > a. Convey recovery attributes in PROTECTION Object
> >    Implemented by 1, 2 and 3
> >    Interop between 1 and 2
> > b. LSP association through ASSOCIATION Object
> >    Implemented by 1, 2 and 3
> >    Interop between 1 and 2
> > c. Indicate primary path through PRIMARY_PATH Object
> >    Implemented by 1, 2 and 3
> >    Interop between 1 and 2
> > d. Different protection types
> >    This is not signaling function, but is data plane operation
> >    under control of control plane options in component a.
> >    - 1+1 unidirectional protection
> >       No implementation known
> >    - 1+1 bidirectional protection
> >       Implemented by 3
> >    - 1:1 protection with extra traffic
> >      Implemented by 1, 2 and 3
> >      Interop between 1 and 2
> >    - Rerouting with extra traffic
> >       Implemented by 3
> >    - Shared mesh restoration
> >       No implementation known
>
> What do you suggest we do with features that haven't been implemented?
>
> > e. Preemption support
> >     Implemented by 1, 2 and 3
> >     Interop between 1 and 2
> > f. Full re-routing
> >     Implemented by most MPLS-TE and GMPLS systems without
> >     the ASSOCIATION object. Interop seen daily.
> >     Implemented by 1, 2 and 3 with the ASSOCIATION object.
> >     Interop between 1 and 2
> > g. Reversion
> >    No implementation status known, but this is largely a
> >    management function.
>
> Well, I see protocol procedures defined.
>
> > h. Recovery commands
> >    No implementation status known, but this is entirely a
> >    management function.
>
> ditto here.